Bug 178028 - audio/qsynth: Update to version 0.3.7
Summary: audio/qsynth: Update to version 0.3.7
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-04-21 19:10 UTC by tkato432
Modified: 2013-04-26 07:40 UTC (History)
0 users

See Also:


Attachments
file.diff (3.70 KB, patch)
2013-04-21 19:10 UTC, tkato432
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2013-04-21 19:10:01 UTC
- version 0.3.7

New file:
files/patch-Makefile.in
Comment 1 Edwin Groothuis freebsd_committer 2013-04-21 19:10:19 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

miwi@ wants this submitter's PRs (via the GNATS Auto Assign Tool)
Comment 2 Martin Wilke freebsd_committer 2013-04-26 07:36:50 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 3 dfilter service freebsd_committer 2013-04-26 07:36:54 UTC
Author: miwi
Date: Fri Apr 26 06:36:46 2013
New Revision: 316573
URL: http://svnweb.freebsd.org/changeset/ports/316573

Log:
  - Update to 0.3.7
  
  PR:		178028
  Submitted by:	Ports Fury

Added:
  head/audio/qsynth/files/patch-Makefile.in   (contents, props changed)
Modified:
  head/audio/qsynth/Makefile
  head/audio/qsynth/distinfo   (contents, props changed)
  head/audio/qsynth/pkg-plist   (contents, props changed)

Modified: head/audio/qsynth/Makefile
==============================================================================
--- head/audio/qsynth/Makefile	Fri Apr 26 06:34:46 2013	(r316572)
+++ head/audio/qsynth/Makefile	Fri Apr 26 06:36:46 2013	(r316573)
@@ -2,34 +2,46 @@
 # $FreeBSD$
 
 PORTNAME=	qsynth
-PORTVERSION=	0.3.6
+PORTVERSION=	0.3.7
 CATEGORIES=	audio
 MASTER_SITES=	SF/${PORTNAME}/${PORTNAME}%20%28stable%29/${PORTVERSION}
 
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	Qt fluidsynth front-end application
 
+LICENSE=	GPLv2 # (or later)
+
 LIB_DEPENDS=	fluidsynth:${PORTSDIR}/audio/fluidsynth
 
-USE_QT4=	gui qmake_build moc_build uic_build rcc_build linguist_build
+OPTIONS_DEFINE=	GRADIENT SYSTEM_TRAY
+OPTIONS_DEFAULT=	GRADIENT SYSTEM_TRAY
+GRADIENT_DESC=		Gradient eye-candy
+SYSTEM_TRAY_DESC=	System-tray icon
+
+USE_QT4=	gui linguist_build moc_build qmake_build rcc_build uic_build
 QT_NONSTANDARD=	yes
 USE_GMAKE=	yes
 GNU_CONFIGURE=	yes
-CONFIGURE_ARGS=	ac_cv_path_ac_moc=${MOC} \
+CONFIGURE_ENV=	ac_cv_path_ac_moc=${MOC} \
 		ac_cv_path_ac_uic=${UIC} \
 		ac_cv_path_ac_qmake=${QMAKE} \
 		ac_cv_path_ac_lupdate=${LOCALBASE}/bin/lupdate-qt4 \
 		ac_cv_path_ac_lrelease=${LOCALBASE}/bin/lrelease-qt4
+CONFIGURE_ARGS=	--localedir=${DATADIR} \
+		--with-qt=${QT_PREFIX} \
+		--with-fluidsynth=${LOCALBASE}
 INSTALLS_ICONS=	yes
-MAKE_JOBS_UNSAFE=yes
+MAKE_JOBS_SAFE=	yes
+
+.include <bsd.port.options.mk>
 
-CPPFLAGS+=	-I${QT_INCDIR} ${PTHREAD_CFLAGS}
-LDFLAGS+=	-L${QT_LIBDIR} ${PTHREAD_LIBS}
+.if empty(PORT_OPTIONS:MGRADIENT)
+CONFIGURE_ARGS+=--disable-gradient
+.endif
 
-post-patch:
-	@${REINPLACE_CMD} -e \
-		's|@make |@$$(MAKE) | ; \
-		 /man1/s|^|#|' ${WRKSRC}/Makefile.in
+.if empty(PORT_OPTIONS:MSYSTEM_TRAY)
+CONFIGURE_ARGS+=--disable-system-tray
+.endif
 
 post-configure:
 	@(cd ${WRKSRC} && ${SETENV} ${MAKE_ENV} ${QMAKE} -o qsynth.mak \

Modified: head/audio/qsynth/distinfo
==============================================================================
--- head/audio/qsynth/distinfo	Fri Apr 26 06:34:46 2013	(r316572)
+++ head/audio/qsynth/distinfo	Fri Apr 26 06:36:46 2013	(r316573)
@@ -1,2 +1,2 @@
-SHA256 (qsynth-0.3.6.tar.gz) = b5968da98661bac5c9fcc93d3a15851594dfbf3bb7d01ace15fbe8779d53fb3c
-SIZE (qsynth-0.3.6.tar.gz) = 223774
+SHA256 (qsynth-0.3.7.tar.gz) = 5f6c40179285a2be54ecbed4956525d8c2a3e16c6343024e558e22920c5147fe
+SIZE (qsynth-0.3.7.tar.gz) = 243979

Added: head/audio/qsynth/files/patch-Makefile.in
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/audio/qsynth/files/patch-Makefile.in	Fri Apr 26 06:36:46 2013	(r316573)
@@ -0,0 +1,18 @@
+--- Makefile.in.orig	2013-02-20 01:37:32.082725000 +0900
++++ Makefile.in	2013-04-19 19:57:44.000000000 +0900
+@@ -60,6 +60,7 @@
+ 	src/qsynthSetupForm.ui
+ 
+ translations_sources = \
++	src/translations/qsynth_cs.ts \
+ 	src/translations/qsynth_de.ts \
+ 	src/translations/qsynth_es.ts \
+ 	src/translations/qsynth_fr.ts \
+@@ -68,6 +69,7 @@
+ translations_targets = \
+ 	src/translations/qsynth_cs.qm \
+ 	src/translations/qsynth_de.qm \
++	src/translations/qsynth_es.qm \
+ 	src/translations/qsynth_fr.qm \
+ 	src/translations/qsynth_ru.qm
+ 

Modified: head/audio/qsynth/pkg-plist
==============================================================================
--- head/audio/qsynth/pkg-plist	Fri Apr 26 06:34:46 2013	(r316572)
+++ head/audio/qsynth/pkg-plist	Fri Apr 26 06:36:46 2013	(r316573)
@@ -1,8 +1,10 @@
 bin/qsynth
 share/applications/qsynth.desktop
-share/locale/qsynth_cs.qm
-share/locale/qsynth_de.qm
-share/locale/qsynth_es.qm
-share/locale/qsynth_ru.qm
 share/icons/hicolor/32x32/apps/qsynth.png
+%%DATADIR%%/qsynth_cs.qm
+%%DATADIR%%/qsynth_de.qm
+%%DATADIR%%/qsynth_es.qm
+%%DATADIR%%/qsynth_fr.qm
+%%DATADIR%%/qsynth_ru.qm
+@dirrm %%DATADIR%%
 @dirrmtry share/applications
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"